Subject: Re: linux-next: manual merge of the ubifs tree

From: Artem Bityutskiy <[email-masked]>
Date: Thu, 24 Jul 2008 12:01:20 +0300

Adrian Bunk wrote:
> On Thu, Jul 24, 2008 at 10:42:20AM +0300, Artem Bityutskiy wrote:
>> Stephen Rothwell wrote:
>>> Today's linux-next merge of the ubifs tree got conflicts in
>>> Documentation/filesystems/ubifs.txt, fs/ubifs/budget.c,
>>> fs/ubifs/commit.c, fs/ubifs/debug.c, fs/ubifs/dir.c, fs/ubifs/file.c,
>>> fs/ubifs/io.c, fs/ubifs/journal.c, fs/ubifs/log.c, fs/ubifs/misc.h,
>>> fs/ubifs/orphan.c, fs/ubifs/super.c and fs/ubifs/ubifs.h against Linus'
>>> tree.
>>>
>>> This has happened because of a partial merge of this tree into Linus'
>>> tree.  I just took the ubifs tree's version of all those files.
>> Oh. This is because I still have my tree based on 2.6.26, + the same
>> patches which are in Linus's tree, + more. I thought you scrips would
>> somehow magically deal with this.
>>
>> I was reluctant to switch to linus tree because the tg3 driver does
>> not compile. I will try again, sorry for these troubles.
> 
> Are you referring to the firmware compile glitch (that was fixed Monday 
> last week) or what compile error do you get?

Not entirely sure. Anyway, it compiles fine now. I'll fix my trees.

-- 
Best Regards,
Artem Bityutskiy (Артём Битюцкий)